# sungrow

[![Go Reference](https://pkg.go.dev/badge/gitea.drjosh.dev/josh/sungrow.svg)](https://pkg.go.dev/gitea.drjosh.dev/josh/sungrow)

A Prometheus exporter that scrapes a Sungrow inverter for information about
solar generation, usage, and other fun data. It includes a (minor) fork of 
github.com/goburrow/modbus (to enable working with Sungrow's "encryption").

This is part of my own custom solar monitoring setup, so has a few quirks suited
to me. In particular, it exports the necessary tariff values to compute
import cost and export value - if you are using Aurorar Tariff 93 in Tasmania.
It defaults to connecting to the IP address of the inverter on my home network.

> :warning: There is ABSOLUTELY NO WARRANTY provided with this code. If for
> whatever reason it blows up your inverter, THAT'S ON YOU.

## Building

Docker is recommended:

```
$ docker build -t sungrow .
```